Bug 571861 - exception reporting terminates with black display
exception reporting terminates with black display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On: 569071 571727
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 13:04 EST by Ales Kozumplik
Modified: 2014-09-30 19:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-13.34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 569071
Environment:
Last Closed: 2012-08-16 18:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2010-03-09 13:04:58 EST
+++ This bug was initially created as a clone of Bug #569071 +++

Created an attachment (id=396796)
screenshot showing "an unhandled exception has occurred" and python backtrace

Description of problem:
Just after attempting to save a custom disk layout, the installer popped up a dialog announcing that "an unhandled exception has occurred". At the end of the reporting process, I clicked "Exit installer", after which the display was black except for a functional pointer. The consoles worked, and I had to reboot from a console.

Version-Release number of selected component (if applicable):
http://serverbeach1.fedoraproject.org/pub/alt/stage/13-Alpha.RC4/Fedora/x86_64/iso/Fedora-13-Alpha-x86_64-netinst.iso

How reproducible:
Twice now:
1. live ISO on a USB stick (Bug 568556).
2. netinst.iso on a CDRW.

Steps to Reproduce:
Bug 568556
The second time, I actually was configuring two partitions and a logical volume.
  
Actual results:
Bug 568556

Expected results:
Bug 568556

Additional info:
Bug 568814 - live install exceptions include /tmp/syslog, but /var/log/dmesg should be used instead
Bug 569057 - DiskLabelCommitError: Could not commit to disk /dev/sdb5

--- Additional comment from stephent98@hotmail.com on 2010-02-27 17:22:30 EST ---

Created an attachment (id=396798)
screenshot showing save to local disk dialog

Wouldn't the local disk be ram disk? (I didn't investigate this path further ... chose the Bugzilla option)
The installer corrupted the disk partition I would have preferred to save to -- it couldn't be mounted from a console. I found another partition to mount and save the screenshots to. The installer environment does not appear to create logical volume devices (/dev/mapper is empty except for "control"). If my entire disk were configured as a volume group, there would not be anywhere to save. Maybe a USB stick?

Same message when booted into F12:
[root@walnut mnt]# mkdir foo
[root@walnut mnt]# mount /dev/sdb5 foo
mount: you must specify the filesystem type
[root@walnut mnt]# mount -t ext4 /dev/sdb5 foo
mount: wrong fs type, bad option, bad superblock on /dev/sdb5,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

[root@walnut mnt]# fdisk -l /dev/sdb

Disk /dev/sdb: 40.0 GB, 40020664320 bytes
255 heads, 63 sectors/track, 4865 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xff3d5e55

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1          13      104391   83  Linux
/dev/sdb2              14        4418    35383162+  8e  Linux LVM
/dev/sdb3   *        4419        4483      522112+  83  Linux
/dev/sdb4            4484        4865     3068415    f  W95 Ext'd (LBA)
/dev/sdb5            4484        4865     3068383+  83  Linux
[root@walnut mnt]#

--- Additional comment from stephent98@hotmail.com on 2010-02-27 17:28:12 EST ---

Created an attachment (id=396800)
screenshot showing Bugzilla login dialog

My password is 16 random alphanumeric characters -- I do not have it memorized. I have put in a text file. That text file is on a logical volume, which could not be mounted. Fortunately, I have a copy on my laptop so I typed it in instead of using copy/paste. There is no way to make the password visible in this dialog.

Example password from gnome-password-generator: xLkxi0Ss6fZCuMoH

--- Additional comment from stephent98@hotmail.com on 2010-02-27 17:35:27 EST ---

Created an attachment (id=396801)
screenshot showing bug sent dialog

[Skipped over a few screenshots ...]

Am I supposed write that number down? (rhetorical)
Clicked "Exit installer".

--- Additional comment from stephent98@hotmail.com on 2010-02-27 17:42:13 EST ---

Created an attachment (id=396802)
screenshot showing dump written dialog

Why do I need to click "Exit installer" again?

Of course I did ... and immediately got a black screen.

Also, it says the "error file" was "written", even though I uploaded it to Bugzilla.

--- Additional comment from hdegoede@redhat.com on 2010-03-01 05:21:32 EST ---

Steve,

May I summarize this bug with "System does not reboot after clicking exit installer after an exception" ?

Ales,

I think this is a reboot issue (see above), since you last worked on the reboot
code I'm assigning this to you.

Regards,

Hans

--- Additional comment from akozumpl@redhat.com on 2010-03-09 05:59:39 EST ---

This is actually two different problems:

1) having to press 'exit installer' twice, for that see 571727.
2) anaconda does not reboot when it should. I will track progress on that one in this bug.

--- Additional comment from stephent98@hotmail.com on 2010-03-09 06:48:40 EST ---

(In reply to comment #6)
> This is actually two different problems:

OK. I turned this bug into a commentary on the exception handling feature generally, and it seemed like it be would easier to step through the screenshots all in one bug.

> 1) having to press 'exit installer' twice, for that see 571727.

Thanks. I am CCed on Bug 571727 (FYI, BZ will auto-generate bug links with the syntax "Bug NNNNNN").

> 2) anaconda does not reboot when it should. I will track progress on that one
> in this bug.    

Thanks.

--- Additional comment from akozumpl@redhat.com on 2010-03-09 07:45:39 EST ---

I verified that the black screen and text "press cad to reboot" on tty1 is behavior identical to F12, so this is not a regression. Question is whether this should be remedied and how. Will talk to python-meh experts.

--- Additional comment from akozumpl@redhat.com on 2010-03-09 07:46:09 EST ---


> Thanks. I am CCed on Bug 571727 (FYI, BZ will auto-generate bug links with the
> syntax "Bug NNNNNN").

Yeah, thanks. I always forget.

--- Additional comment from akozumpl@redhat.com on 2010-03-09 13:04:19 EST ---

For the F13, we'll have to wait to see if the next blocker meeting retains this bug as a F13Blocker and either push or close this as fixed rawhide.
Comment 1 Ales Kozumplik 2010-03-09 13:05:25 EST
For rawhide, the fix has been pushed as 17eabf5237837885d17afd89a9154e5bec637eba and will be released with anaconda-13.34.
Comment 2 Adam Williamson 2010-05-03 10:59:06 EDT
Dropping from F13Blocker, this is a Rawhide clone of an F13 bug which was a blocker but has since been fixed. (I highly suspect this is actually fixed in Rawhide too and can be closed, actually).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2010-07-30 07:01:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 18:29:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.